Security Enhanced Linux Reference Policy

# Layer: system

## Module: iscsi

Interfaces

### Description:

Establish connections to iSCSI devices.

### Interfaces:

iscsi_admin( domain , role )

##### Summary

All of the rules required to administrate an iscsi environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

iscsi_manage_semaphores( domain )

##### Summary

Create, read, write, and delete iscsid sempaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iscsi_read_lib_files( domain )

##### Summary

Read iscsid lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iscsi_stream_connect( domain )

##### Summary

Connect to iscsid using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iscsid_domtrans( domain )

##### Summary

Execute a domain transition to run iscsid.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return